Subject: [alpine-devel] Re: help: freepbx install on alpine linux

From: Kenny Aral <[email-masked]>
Date: Tue, 13 Apr 2010 04:01:06 -0400 (EDT)

Michael, thank you for your quick response. I've made a good 
amount of progress since my last email. I was able to successfully 
install the Apache webserver on Alpine. The problem was because I 
was not running Alpine from the hard drive of the Guest OS inside 
VirtualBox.

Currently, I am adapting this install procedure for Alpine: 
http://www.freepbx.org/support/documentation/installation/install-procedure-for-centos-4-3 
which is for CentOS Linux. As far as I can tell, these are all of 
the dependencies needed for the install (I put x's next to the 
ones that I was able to add with apk):

make            x
gcc		x
uclibc-dev      x
glib-dev        x
g++             x
libxml2-dev	x
tiff-dev	x
mysql-server
php-gd 		x
php-mysql 	x
installkernel   x
bison 		x
ncurses-dev	x
audiofile-dev
subversion	x
libogg-dev	x
openssl-dev	x
mysql-dev	x
lame		x
asterisk	x
asterisk-dev	x

The only two dependencies I couldn't find were mysql-server and 
audiofile-dev. The installation has gone smoothly up until trying 
to setup the MySQL database. I'm getting the following error even 
though the mysql process is running:

# mysqladmin create asterisk
mysqladmin: could not connect to server at 'localhost' failed
error: 'Access denied for user 'root'@'localhost' (using password: 
NO)'

On Fri Apr 09 13:04:10 EDT 2010, Michael Mason <[email-masked]> 
wrote:

> Message below
> 
> On Apr 9, 2010, at 4:11 AM, Kenny Aral wrote:
> 
>> Hi, my name is Kenny Aral and I'm a graduate student at the  
>> University of Florida. I'm working on a project for a class and 
>> I'm  attempting to install FreePBX on Alpine Linux,
> Thanks for the interest in the project.
> 
>> but I'm having problems and there is not much documentation to 
>> help  me with this.
> Sorry you are having problems.
> 
> The best approach to this might be to have the list of programs  
> needed. Have you gone through and tried to build apks for the 
> program  and its dependencies?
> http://alpinelinux.org/wiki/Developer_Documentation
> 
>> I know you are all probably very busy, but my professor 
>> suggested  emailing the Alpine developers to see if you have any 
>> suggestions.  As of now I can not seem to get the Apache web 
>> server up and running.
>> I've been running Alpine Linux inside VirtualBox, and when I try 
>> to  install Apache the process just crashes.
> Do you have some errors of what you are getting? Package and 
> release  versions? Version of alpine you are using? Bugs can be 
> reported here:
> http://bugs.alpinelinux.org/
> 
>> Aside from this, FreePBX has a lot of dependencies so it seems 
>> like  a challenging task to get this thing installed correctly. 
>> Do any of  you have any experience installing FreePBX on Alpine?
> I don't. If we had a list of programs and their dependencies that 
>  would help get things started.
> 
>> Any helpful advice would be greatly appreciated! Thank you.
> Copying the Alpine Dev ML.
> 
> [email-masked]
> 
>> 
>> --
>> ARAL,KENNY A
>> 
> 
> 
> 
> 
> 

--
ARAL,KENNY A

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Carlo Landmeter <[email-masked]>
Date: Tue, 13 Apr 2010 14:05:41 +0200

I also have been trying to get freepbx installed on alpine few weeks ago.
Freepbx depends on sql database, and because of the design philosophy
of Alpinelinux I have tried to install it with Sqlite3 support (which
should be partially supported by Freepbpx). Some info can be found
here: https://freetel.svn.sourceforge.net/svnroot/freetel/freepbx-sandbox/README.txt
 SQLite driver should still be added to Alpinelinux asterisk package
if needed (i can send a patch if needed).
If you would choose to use MySQL, you will have to compile asterisk
addons because this holds the mysql driver for asterisk (I have tried
this but i was not successful , not sure what the error was).
The dependency list you mention is very outdated, i think you fetched
this one from the included readme. I suggest you go over the install
process and see what is missing.
One bigger deb which is missing from this list is perl, some scripts
depend on perl (maybe these could be converted to another language (sh
or php).
The tiff deps are included for fax support, I recently added fax
support to asterisk and it should be working (depends on perl).

Sorry if all this info seems a bit messy, if you need help of getting
this to work I am willing to help. I would love to get Freepbx running
with as less deps as possible.

Carlo

On Tue, Apr 13, 2010 at 10:01 AM, Kenny Aral <[email-masked]> wrote:
> Michael, thank you for your quick response. I've made a good amount of
> progress since my last email. I was able to successfully install the Apache
> webserver on Alpine. The problem was because I was not running Alpine from
> the hard drive of the Guest OS inside VirtualBox.
>
> which is for CentOS Linux. As far as I can tell, these are all of the
> dependencies needed for the install (I put x's next to the ones that I was
> able to add with apk):
>
> make            x
> gcc             x
> uclibc-dev      x
> glib-dev        x
> g++             x
> libxml2-dev     x
> tiff-dev        x
> mysql-server
> php-gd          x
> php-mysql       x
> installkernel   x
> bison           x
> ncurses-dev     x
> audiofile-dev
> subversion      x
> libogg-dev      x
> openssl-dev     x
> mysql-dev       x
> lame            x
> asterisk        x
> asterisk-dev    x
>
> audiofile-dev. The installation has gone smoothly up until trying to setup
> the MySQL database. I'm getting the following error even though the mysql
> process is running:
>
> error: 'Access denied for user 'root'@'localhost' (using password: NO)'
>
> On Fri Apr 09 13:04:10 EDT 2010, Michael Mason <[email-masked]> wrote:
>
>> Message below
>>
>>> Hi, my name is Kenny Aral and I'm a graduate student at the  University
>>> of Florida. I'm working on a project for a class and I'm  attempting to
>>> install FreePBX on Alpine Linux,
>>
>>> but I'm having problems and there is not much documentation to help  me
>>> with this.
>>
>> The best approach to this might be to have the list of programs  needed.
>> Have you gone through and tried to build apks for the program  and its
>> dependencies?
>>> I know you are all probably very busy, but my professor suggested
>>>  emailing the Alpine developers to see if you have any suggestions.  As of
>>> now I can not seem to get the Apache web server up and running.
>>> I've been running Alpine Linux inside VirtualBox, and when I try to
>>>  install Apache the process just crashes.
>>
>> Do you have some errors of what you are getting? Package and release
>>  versions? Version of alpine you are using? Bugs can be reported here:
>>> Aside from this, FreePBX has a lot of dependencies so it seems like  a
>>> challenging task to get this thing installed correctly. Do any of  you have
>>> any experience installing FreePBX on Alpine?
>>
>> I don't. If we had a list of programs and their dependencies that  would
>> help get things started.
>>

---